Subject: bug#10688: The default mode for Perl should be cperl-mode instead of perl-mode

From: Ted Zlatanov <[email-masked]>
Date: Sat, 04 Feb 2012 11:09:44 -0500

On Thu, 2 Feb 2012 13:59:39 +0000 joe higton <[email-masked]> wrote: 

jh> On 2 February 2012 13:25, Richard Stallman <[email-masked]> wrote:
>> I don't recall what those drawbacks were -- I never used Perl -- and I
>> don't know if this is still true.

jh> Although this is far from a scientific survey, the discussion which lead to
jh> this bug (which took place on the perl reddit group) seemed to show that
jh> most people now use cperl-mode over perl-mode. And there was some
jh> discussion of the fact that the default of perl-mode was a barrier to new
jh> users getting the best experience.

jh> I could attempt to post in Perl spaces and see if anyone knows what
jh> the shortcomings of cperl-mode might be. Perhaps there will be some
jh> people who remember the orignal concerns were, and whether they were
jh> ever addressed.

I've been using cperl-mode for a while, and it has many enhancements
over perl-mode.  Ilya's version has diverged from the cperl-mode in GNU
Emacs, though, and I believe Ilya's version has a slight edge.  I
brought that up:

http://thread.gmane.org/gmane.emacs.devel/115635/focus=115643

http://thread.gmane.org/gmane.emacs.help/67570/focus=67653

Ilya has not followed up on emacs-devel and neither side seems
interested in an ongoing synchronization.

Ted